{ self, profiles, suites, ... }:
{
  imports = [
    ./configuration.nix
    ../profiles/core
    ../profiles/server
    ../profiles/metrics
    ../profiles/gitea
    ../profiles/woodpecker-server
    ../profiles/rss-bridge
    ../profiles/mount-mossnet
    ../profiles/freshrss
    ../profiles/microbin
  ];

  # Capsul specific
  users.users.cyberian = {
    isNormalUser = true;
    extraGroups = [ "wheel" ];
  };

  mossnet.wg = {
    enable = true;
    ips = [ "10.0.69.5/24" ];
    privateKeyFile = "/home/anish/wg/wg-priv";
  };

}
